diff options
| author | Polesznyák Márk <contact@pml68.dev> | 2025-11-29 01:20:31 +0100 |
|---|---|---|
| committer | Polesznyák Márk <contact@pml68.dev> | 2025-11-29 01:20:31 +0100 |
| commit | c7f29cac7c64f71324cf289e774033245e3bf320 (patch) | |
| tree | f2aff412745b86333e043b92e4f6a94066e9ca53 /install.sh | |
| parent | feat(dwm): tweak default volume on both config variants (diff) | |
| download | suckless-setup-c7f29cac7c64f71324cf289e774033245e3bf320.tar.gz | |
feat: better install script, move vis & tmux stuff to dotfiles repo
Diffstat (limited to 'install.sh')
| -rwxr-xr-x | install.sh | 41 |
1 files changed, 0 insertions, 41 deletions
diff --git a/install.sh b/install.sh deleted file mode 100755 index 5b071b5..0000000 --- a/install.sh +++ /dev/null @@ -1,41 +0,0 @@ -#!/bin/sh -programs="dwm dmenu slstatus st fetcha" - -command_exists() { - command -v "$1" >/dev/null 2>&1 -} - -has_root_perms() { - [ "$(id -u)" -eq 0 ] || [ -n "$SUDO_UID" ] -} - -for program in $programs; do - has_root_perms && (cd "$program" && echo "starting $program installation" && make clean install && echo "$program installation complete") || echo "Can't install $program: you must run the script as root or with sudo." -done - -if command_exists picom; then - if ! has_root_perms; then - echo "Can't install picom configuration: you must run the script as root or with sudo." - exit 1 - fi - - cp picom.conf /etc/xdg/picom.conf - echo "picom &" >>~/.xinitrc -fi - -if command_exists feh; then - feh --bg-fill wallpaper.jpg - echo "~/.fehbg &" >>~/.xinitrc -fi - -command_exists flameshot && echo "flameshot &" >>~/.xinitrc - -command_exists vis && cp vis -r ~/.config/ - -if command_exists tmux; then - git clone https://github.com/tmux-plugins/tpm ~/.tmux/plugins/tpm - cp tmux -r ~/.config/ -fi - -echo "slstatus &" >>~/.xinitrc -echo "exec dwm" >>~/.xinitrc |
